### Function

# Gtk.test_accessible_check_state

#### Declaration [src]

    char*
    gtk_test_accessible_check_state (
      GtkAccessible* accessible,
      GtkAccessibleState state,
      ...
    )

#### Description [src]

Checks whether the accessible `state` of `accessible` is set to a specific value.

#### Parameters

`accessible` | `GtkAccessible`
| a `GtkAccessible`
| Ownership is not transferred to the callee
`state` | `GtkAccessibleState`
| a `GtkAccessibleState`
`...` | ``
| the expected value of `state`

#### Return value

Returns: `char*`
the value of the accessible state
Ownership of the data is transferred to the caller
The string is a NUL terminated UTF-8 string